#include <stdio.h>

#include "rpc.h"
#include "client-lib.h"

#if	!defined(DEBUG)
# define	DEBUG	0
#endif

int rpc_hndlr0(struct srss_state *s,
	       double *out,
	       int i0, double d0, int i1, double d1, int i2)
{
	int rv;
	srss_rewind_request(s);
	if ((rv = srss_marshall(s,"dlfdlfd",i0,d0,i1,d1,i2)) != 5) {
		if (DEBUG) {
			fprintf(stderr,"marshall returned %d\n",rv);
		}
		return 0;
	}
	rv = srss_rpc(s,0);
	if (rv > 0 && srss_unmarshall(s,"lf",&d0) == 1) {
		*out = d0;
		return 1;
	}
	return 0;
}
int rpc_hndlr1(struct srss_state *s,
	       double *out,
	       int i0, double d0, int i1, double d1)
{
	int rv;
	srss_rewind_request(s);
	if ((rv = srss_marshall(s,"dlfdlf",i0,d0,i1,d1)) != 4) {
		if (DEBUG) {
			fprintf(stderr,"marshall returned %d\n",rv);
		}
		return 0;
	}
	rv = srss_rpc(s,1);
	if (rv > 0 && srss_unmarshall(s,"lf",&d0) == 1) {
		*out = d0;
		return 1;
	}
	return 0;
}
